Outputs
List outputs
Query and list scholarly works with filtering, sorting, and pagination.
GET
/
outputs
curl -X GET "https://api.hexagraph.in/outputs?filter=year:2020&sort=cited_by_count:desc&per_page=25"
fetch("https://api.hexagraph.in/outputs?filter=year:2020&sort=cited_by_count:desc&per_page=25")
.then(response => response.json())
.then(data => console.log(data));
import requests
response = requests.get("https://api.hexagraph.in/outputs", params={
"filter": "year:2020",
"sort": "cited_by_count:desc",
"per_page": 25
})
print(response.json())
{
"meta": {
"count": 322998529,
"page": 1,
"per_page": 25
},
"results": [
{
"id": "HX_W3038568908",
"doi": "https://doi.org/10.1585/pfr.15.2402039",
"title": "Radiation Resistant Camera System for Monitoring Deuterium Plasma Discharges in the Large Helical Device",
"name": "Radiation Resistant Camera System for Monitoring Deuterium Plasma Discharges in the Large Helical Device",
"year": 2020,
"date": "2020-06-08",
"language": "en",
"venue": {
"id": "doi:10.1585/pfr.15.2402039",
"is_oa": true,
"landing_page_url": "https://doi.org/10.1585/pfr.15.2402039",
"pdf_url": "https://www.jstage.jst.go.jp/article/pfr/15/0/15_2402039/_pdf",
"license": null,
"version": "publishedVersion",
"is_accepted": true,
"is_published": true,
"source": {
"id": "HX_S46033839",
"name": "Plasma and Fusion Research",
"type": "journal",
"metrics": null
}
},
"type": "article",
"indexed_in": [
"crossref"
],
"open_access": {
"is_oa": true,
"oa_status": "diamond",
"oa_url": "https://www.jstage.jst.go.jp/article/pfr/15/0/15_2402039/_pdf"
},
"authors": [
"M. Shoji",
"LHD Experiment Group"
],
"affiliations": [
"National Institutes of Natural Sciences",
"National Institute for Fusion Science"
],
"fwci": 0.9171,
"cited_by_count": 801217,
"biblio": {
"volume": "15",
"issue": "0",
"first_page": "2402039",
"last_page": "2402039"
},
"primary_topic": {
"id": "HX_T10346",
"name": "Magnetic confinement fusion research"
},
"keywords": [
"Radiation",
"Plasma",
"Materials science",
"Optics",
"Shield",
"Neutron",
"Nuclear engineering",
"Physics",
"Nuclear physics",
"Geology"
],
"abstract": "Radiation resistant camera system was constructed for monitoring deuterium plasma discharges in the Large Helical Device (LHD). This system has contributed to safe operation during two experimental campaigns without serious problems due to radiation (neutrons and gamma-rays). The cameras steadily functioned even in the plasma discharge with the maximum neutron emission rate in FY 2017, though some bright specks temporarily appeared on the images.",
"updated_date": "2026-07-22T07:51:19.307946",
"created_date": "2025-10-10T00:00:00"
}
]
}
{
"statusCode": 400,
"message": "Bad Request - Invalid query parameters",
"error": "Bad Request"
}
{
"statusCode": 429,
"message": "Rate limit exceeded. Maximum 30 requests per minute.",
"error": "Too Many Requests"
}
Retrieves a paginated list of scholarly outputs with filtering and sorting capabilities.
Query Parameters
integer
default:"1"
Page number for pagination. Default is
1.integer
default:"25"
Results per page. Allowed values:
10, 25, 50, 100.string
Filter expression (e.g.
year:2025, is_oa:true).string
Sorting parameter (e.g.
cited_by_count:desc, year:asc).Response Fields
object
required
array
required
Array of output records.
Show results item attributes
Show results item attributes
string
Output ID (
HX_W...).string
DOI URL.
string
Work title.
string
Work display name.
integer
Publication year.
string
Publication date (YYYY-MM-DD).
string
Language code string (e.g.
"en").object
Primary venue details (
id, is_oa, landing_page_url, pdf_url, license, version, is_accepted, is_published, source).string
Work classification (
article, preprint, etc.).array
Index providers array (e.g.
["crossref"]).object
Open Access object (
is_oa, oa_status, oa_url).array
List of author name strings.
array
List of unique institution name strings.
number
Field-Weighted Citation Impact.
integer
Citation count.
object
Bibliographic details (
volume, issue, first_page, last_page).object
Primary topic object (
id, name).array
Keywords array.
string
Abstract text snippet.
string
ISO updated date string.
string
ISO creation date string.
curl -X GET "https://api.hexagraph.in/outputs?filter=year:2020&sort=cited_by_count:desc&per_page=25"
fetch("https://api.hexagraph.in/outputs?filter=year:2020&sort=cited_by_count:desc&per_page=25")
.then(response => response.json())
.then(data => console.log(data));
import requests
response = requests.get("https://api.hexagraph.in/outputs", params={
"filter": "year:2020",
"sort": "cited_by_count:desc",
"per_page": 25
})
print(response.json())
{
"meta": {
"count": 322998529,
"page": 1,
"per_page": 25
},
"results": [
{
"id": "HX_W3038568908",
"doi": "https://doi.org/10.1585/pfr.15.2402039",
"title": "Radiation Resistant Camera System for Monitoring Deuterium Plasma Discharges in the Large Helical Device",
"name": "Radiation Resistant Camera System for Monitoring Deuterium Plasma Discharges in the Large Helical Device",
"year": 2020,
"date": "2020-06-08",
"language": "en",
"venue": {
"id": "doi:10.1585/pfr.15.2402039",
"is_oa": true,
"landing_page_url": "https://doi.org/10.1585/pfr.15.2402039",
"pdf_url": "https://www.jstage.jst.go.jp/article/pfr/15/0/15_2402039/_pdf",
"license": null,
"version": "publishedVersion",
"is_accepted": true,
"is_published": true,
"source": {
"id": "HX_S46033839",
"name": "Plasma and Fusion Research",
"type": "journal",
"metrics": null
}
},
"type": "article",
"indexed_in": [
"crossref"
],
"open_access": {
"is_oa": true,
"oa_status": "diamond",
"oa_url": "https://www.jstage.jst.go.jp/article/pfr/15/0/15_2402039/_pdf"
},
"authors": [
"M. Shoji",
"LHD Experiment Group"
],
"affiliations": [
"National Institutes of Natural Sciences",
"National Institute for Fusion Science"
],
"fwci": 0.9171,
"cited_by_count": 801217,
"biblio": {
"volume": "15",
"issue": "0",
"first_page": "2402039",
"last_page": "2402039"
},
"primary_topic": {
"id": "HX_T10346",
"name": "Magnetic confinement fusion research"
},
"keywords": [
"Radiation",
"Plasma",
"Materials science",
"Optics",
"Shield",
"Neutron",
"Nuclear engineering",
"Physics",
"Nuclear physics",
"Geology"
],
"abstract": "Radiation resistant camera system was constructed for monitoring deuterium plasma discharges in the Large Helical Device (LHD). This system has contributed to safe operation during two experimental campaigns without serious problems due to radiation (neutrons and gamma-rays). The cameras steadily functioned even in the plasma discharge with the maximum neutron emission rate in FY 2017, though some bright specks temporarily appeared on the images.",
"updated_date": "2026-07-22T07:51:19.307946",
"created_date": "2025-10-10T00:00:00"
}
]
}
{
"statusCode": 400,
"message": "Bad Request - Invalid query parameters",
"error": "Bad Request"
}
{
"statusCode": 429,
"message": "Rate limit exceeded. Maximum 30 requests per minute.",
"error": "Too Many Requests"
}
⌘I
curl -X GET "https://api.hexagraph.in/outputs?filter=year:2020&sort=cited_by_count:desc&per_page=25"
fetch("https://api.hexagraph.in/outputs?filter=year:2020&sort=cited_by_count:desc&per_page=25")
.then(response => response.json())
.then(data => console.log(data));
import requests
response = requests.get("https://api.hexagraph.in/outputs", params={
"filter": "year:2020",
"sort": "cited_by_count:desc",
"per_page": 25
})
print(response.json())
{
"meta": {
"count": 322998529,
"page": 1,
"per_page": 25
},
"results": [
{
"id": "HX_W3038568908",
"doi": "https://doi.org/10.1585/pfr.15.2402039",
"title": "Radiation Resistant Camera System for Monitoring Deuterium Plasma Discharges in the Large Helical Device",
"name": "Radiation Resistant Camera System for Monitoring Deuterium Plasma Discharges in the Large Helical Device",
"year": 2020,
"date": "2020-06-08",
"language": "en",
"venue": {
"id": "doi:10.1585/pfr.15.2402039",
"is_oa": true,
"landing_page_url": "https://doi.org/10.1585/pfr.15.2402039",
"pdf_url": "https://www.jstage.jst.go.jp/article/pfr/15/0/15_2402039/_pdf",
"license": null,
"version": "publishedVersion",
"is_accepted": true,
"is_published": true,
"source": {
"id": "HX_S46033839",
"name": "Plasma and Fusion Research",
"type": "journal",
"metrics": null
}
},
"type": "article",
"indexed_in": [
"crossref"
],
"open_access": {
"is_oa": true,
"oa_status": "diamond",
"oa_url": "https://www.jstage.jst.go.jp/article/pfr/15/0/15_2402039/_pdf"
},
"authors": [
"M. Shoji",
"LHD Experiment Group"
],
"affiliations": [
"National Institutes of Natural Sciences",
"National Institute for Fusion Science"
],
"fwci": 0.9171,
"cited_by_count": 801217,
"biblio": {
"volume": "15",
"issue": "0",
"first_page": "2402039",
"last_page": "2402039"
},
"primary_topic": {
"id": "HX_T10346",
"name": "Magnetic confinement fusion research"
},
"keywords": [
"Radiation",
"Plasma",
"Materials science",
"Optics",
"Shield",
"Neutron",
"Nuclear engineering",
"Physics",
"Nuclear physics",
"Geology"
],
"abstract": "Radiation resistant camera system was constructed for monitoring deuterium plasma discharges in the Large Helical Device (LHD). This system has contributed to safe operation during two experimental campaigns without serious problems due to radiation (neutrons and gamma-rays). The cameras steadily functioned even in the plasma discharge with the maximum neutron emission rate in FY 2017, though some bright specks temporarily appeared on the images.",
"updated_date": "2026-07-22T07:51:19.307946",
"created_date": "2025-10-10T00:00:00"
}
]
}
{
"statusCode": 400,
"message": "Bad Request - Invalid query parameters",
"error": "Bad Request"
}
{
"statusCode": 429,
"message": "Rate limit exceeded. Maximum 30 requests per minute.",
"error": "Too Many Requests"
}